hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup Struct Reference
Collaboration diagram for hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup:

## Public Member Functions

| DoCleanup (pointer_array_type &pa, list_array_type &my_els, size_t sz)
| ~DoCleanup ()

## Public Attributes

pointer_array_type * | my_pa
list_array_type * | my_elements
size_t | my_size

## Detailed Description

### template<typename Key, typename ValueType, typename ValueToKey, typename HashCompare, typename Allocator = tbb::cache_aligned_allocator< typename aligned_pair<ValueType, void *>::type >>
struct hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup

Definition at line 79 of file _flow_graph_tagged_buffer_impl.h.

## Constructor & Destructor Documentation

## DoCleanup()

template<typename Key, typename ValueType, typename ValueToKey, typename HashCompare, typename Allocator = tbb::cache_aligned_allocator< typename aligned_pair<ValueType, void *>::type >>

hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::DoCleanup | ( | pointer_array_type & | pa,
|  | list_array_type & | my_els,
|  | size_t | sz
| ) |  |

inline

Definition at line 84 of file _flow_graph_tagged_buffer_impl.h.

:
my_pa(&pa), my_elements(&my_els), my_size(sz) { }

## ~DoCleanup()

template<typename Key, typename ValueType, typename ValueToKey, typename HashCompare, typename Allocator = tbb::cache_aligned_allocator< typename aligned_pair<ValueType, void *>::type >>

hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::~DoCleanup | ( |  | ) |

inline

Definition at line 86 of file _flow_graph_tagged_buffer_impl.h.

{
if(my_pa) {
size_t dont_care = 0;
internal_free_buffer(*my_pa, *my_elements, my_size, dont_care);
}
}

References hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::internal_free_buffer(), hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::my_elements, hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::my_pa, and hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::my_size.

Here is the call graph for this function:

## Member Data Documentation

## my_elements

template<typename Key, typename ValueType, typename ValueToKey, typename HashCompare, typename Allocator = tbb::cache_aligned_allocator< typename aligned_pair<ValueType, void *>::type >>

list_array_type* hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::my_elements

Definition at line 81 of file _flow_graph_tagged_buffer_impl.h.

Referenced by hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::~DoCleanup().

## my_pa

template<typename Key, typename ValueType, typename ValueToKey, typename HashCompare, typename Allocator = tbb::cache_aligned_allocator< typename aligned_pair<ValueType, void *>::type >>

pointer_array_type* hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::my_pa

Definition at line 80 of file _flow_graph_tagged_buffer_impl.h.

Referenced by hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::~DoCleanup().

## my_size

template<typename Key, typename ValueType, typename ValueToKey, typename HashCompare, typename Allocator = tbb::cache_aligned_allocator< typename aligned_pair<ValueType, void *>::type >>

size_t hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::my_size

Definition at line 82 of file _flow_graph_tagged_buffer_impl.h.

Referenced by hash_buffer< Key, ValueType, ValueToKey, HashCompare, Allocator >::DoCleanup::~DoCleanup().

The documentation for this struct was generated from the following file:

- _flow_graph_tagged_buffer_impl.h

hash_buffer::DoCleanup::my_elements
list_array_type * my_elements
Definition: _flow_graph_tagged_buffer_impl.h:81
hash_buffer::DoCleanup::my_size
size_t my_size
Definition: _flow_graph_tagged_buffer_impl.h:82
hash_buffer::DoCleanup::my_pa
pointer_array_type * my_pa
Definition: _flow_graph_tagged_buffer_impl.h:80
hash_buffer::internal_free_buffer
static void internal_free_buffer(pointer_array_type &pa, list_array_type &el, size_t &sz, size_t &ne)
Definition: _flow_graph_tagged_buffer_impl.h:149

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.